LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XGrid Interface Referencepublished

provides the possibility of setting and retrieving the position of the current cell in a grid control. More...

`import"XGrid.idl";`

Inheritance diagram for XGrid:

## Public Member Functions
short | getCurrentColumnPosition ()
| retrieves the current column position. More...
void | setCurrentColumnPosition ([in] short nPos)
| sets the current column position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the possibility of setting and retrieving the position of the current cell in a grid control.

Note that a grid control does not allow free control over the current row: In such a control, every line represents a row of data of the underlying com::sun::star::form::component::DataForm. Thus, the current row of the grid control always equals the current row of the com::sun::star::form::component::DataForm, and can be affected only by changing the latter.
The current column of a grid control, whoever, can be freely controlled.

See also
  com::sun::star::form::component::GridControl
  com::sun::star::form::control::GridControl

Deprecated:

## Member Function Documentation

## ◆ getCurrentColumnPosition()

short getCurrentColumnPosition | ( |  | ) |

retrieves the current column position.

## ◆ setCurrentColumnPosition()

void setCurrentColumnPosition | ( | [in] short | nPos | ) |

sets the current column position.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XGrid.idl